import { ICalloutProps } from './Callout.Props';
import { DirectionalHint } from '../../common/DirectionalHint';
import { BaseComponent } from '../../common/BaseComponent';
import './Callout.scss';
export interface ICalloutState {
    positions?: any;
    slideDirectionalClassName?: string;
    calloutElementRect?: ClientRect;
}
export declare class CalloutContent extends BaseComponent<ICalloutProps, ICalloutState> {
    static defaultProps: {
        isBeakVisible: boolean;
        beakStyle: string;
        beakWidth: number;
        gapSpace: number;
        directionalHint: DirectionalHint;
    };
    private _didSetInitialFocus;
    private _hostElement;
    private _calloutElement;
    constructor(props: ICalloutProps);
    componentDidUpdate(): void;
    componentDidMount(): void;
    render(): JSX.Element;
    dismiss(): void;
    private _dismissOnLostFocus(ev);
    private _setInitialFocus();
    private _onComponentDidMount();
    private _updatePosition();
}
